# \Thelia\Model\BaseProductVersionQuery

Base class that represents a query for the 'product_version' table.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterById()
filterByTaxRuleId()
filterByRef()
filterByVisible()
filterByPosition()
filterByCreatedAt()
filterByUpdatedAt()
filterByVersion()
filterByVersionCreatedAt()
filterByVersionCreatedBy()
filterByProduct()
joinProduct()
useProductQuery()
prune()
doDeleteAll()
delete()
orderById()
orderByTaxRuleId()
orderByRef()
orderByVisible()
orderByPosition()
orderByCreatedAt()
orderByUpdatedAt()
orderByVersion()
orderByVersionCreatedAt()
orderByVersionCreatedBy()
groupById()
groupByTaxRuleId()
groupByRef()
groupByVisible()
groupByPosition()
groupByCreatedAt()
groupByUpdatedAt()
groupByVersion()
groupByVersionCreatedAt()
groupByVersionCreatedBy()
leftJoin()
rightJoin()
innerJoin()
leftJoinProduct()
rightJoinProduct()
innerJoinProduct()
findOne()
findOneOrCreate()
findOneById()
findOneByTaxRuleId()
findOneByRef()
findOneByVisible()
findOneByPosition()
findOneByCreatedAt()
findOneByUpdatedAt()
findOneByVersion()
findOneByVersionCreatedAt()
findOneByVersionCreatedBy()
findById()
findByTaxRuleId()
findByRef()
findByVisible()
findByPosition()
findByCreatedAt()
findByUpdatedAt()
findByVersion()
findByVersionCreatedAt()
findByVersionCreatedBy()
No public properties found
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A
abstract

File
  Model/Base/ProductVersionQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\ProductVersionQuery

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\ProductVersionQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\ProductVersionQuery

Returns a new ChildProductVersionQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\ProductVersionQuery

#

static

## Tags

None found

### findPk()

    findPk( $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\ProductVersion|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(array(12, 34), $con);`

#### Parameters

| $key |
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\ProductVersion|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(array(12, 56), array(832, 123), array(123, 456)), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\ProductVersionQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\ProductVersionQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\ProductVersionQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\ProductVersionQuery —

The current query, for fluid interface

#

## Tags

None found

### filterById()

    filterById(mixed $id, string $comparison) : \Thelia\Model\ProductVersionQuery

Filter the query on the id column

Example usage: `$query->filterById(1234); // WHERE id = 1234 $query->filterById(array(12, 34)); // WHERE id IN (12, 34) $query->filterById(array('min' => 12)); // WHERE id > 12`

#### Parameters

mixed | $id | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductVersionQuery —

The current query, for fluid interface

#

See also

## Tags

None found

### filterByTaxRuleId()

    filterByTaxRuleId(mixed $taxRuleId, string $comparison) : \Thelia\Model\ProductVersionQuery

Filter the query on the tax_rule_id column

Example usage: `$query->filterByTaxRuleId(1234); // WHERE tax_rule_id = 1234 $query->filterByTaxRuleId(array(12, 34)); // WHERE tax_rule_id IN (12, 34) $query->filterByTaxRuleId(array('min' => 12)); // WHERE tax_rule_id > 12`

#### Parameters

mixed | $taxRuleId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductVersionQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByRef()

    filterByRef(string $ref, string $comparison) : \Thelia\Model\ProductVersionQuery

Filter the query on the ref column

Example usage: `$query->filterByRef('fooValue'); // WHERE ref = 'fooValue' $query->filterByRef('%fooValue%'); // WHERE ref LIKE '%fooValue%'`

#### Parameters

string | $ref | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductVersionQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByVisible()

    filterByVisible(mixed $visible, string $comparison) : \Thelia\Model\ProductVersionQuery

Filter the query on the visible column

Example usage: `$query->filterByVisible(1234); // WHERE visible = 1234 $query->filterByVisible(array(12, 34)); // WHERE visible IN (12, 34) $query->filterByVisible(array('min' => 12)); // WHERE visible > 12`

#### Parameters

mixed | $visible | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductVersionQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPosition()

    filterByPosition(mixed $position, string $comparison) : \Thelia\Model\ProductVersionQuery

Filter the query on the position column

Example usage: `$query->filterByPosition(1234); // WHERE position = 1234 $query->filterByPosition(array(12, 34)); // WHERE position IN (12, 34) $query->filterByPosition(array('min' => 12)); // WHERE position > 12`

#### Parameters

mixed | $position | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductVersionQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\ProductVersionQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductVersionQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\ProductVersionQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductVersionQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByVersion()

    filterByVersion(mixed $version, string $comparison) : \Thelia\Model\ProductVersionQuery

Filter the query on the version column

Example usage: `$query->filterByVersion(1234); // WHERE version = 1234 $query->filterByVersion(array(12, 34)); // WHERE version IN (12, 34) $query->filterByVersion(array('min' => 12)); // WHERE version > 12`

#### Parameters

mixed | $version | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductVersionQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByVersionCreatedAt()

    filterByVersionCreatedAt(mixed $versionCreatedAt, string $comparison) : \Thelia\Model\ProductVersionQuery

Filter the query on the version_created_at column

Example usage: `$query->filterByVersionCreatedAt('2011-03-14'); // WHERE version_created_at = '2011-03-14' $query->filterByVersionCreatedAt('now'); // WHERE version_created_at = '2011-03-14' $query->filterByVersionCreatedAt(array('max' => 'yesterday')); // WHERE version_created_at > '2011-03-13'`

#### Parameters

mixed | $versionCreatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductVersionQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByVersionCreatedBy()

    filterByVersionCreatedBy(string $versionCreatedBy, string $comparison) : \Thelia\Model\ProductVersionQuery

Filter the query on the version_created_by column

Example usage: `$query->filterByVersionCreatedBy('fooValue'); // WHERE version_created_by = 'fooValue' $query->filterByVersionCreatedBy('%fooValue%'); // WHERE version_created_by LIKE '%fooValue%'`

#### Parameters

string | $versionCreatedBy | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductVersionQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByProduct()

    filterByProduct(\Thelia\Model\Product|\Propel\Runtime\Collection\ObjectCollection $product, string $comparison) : \Thelia\Model\ProductVersionQuery

Filter the query by a related \Thelia\Model\Product object

#### Parameters

\Thelia\Model\Product|\Propel\Runtime\Collection\ObjectCollection | $product | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductVersionQuery —

The current query, for fluid interface

#

## Tags

None found

### joinProduct()

    joinProduct(string $relationAlias, string $joinType) : \Thelia\Model\ProductVersionQuery

Adds a JOIN clause to the query using the Product relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductVersionQuery —

The current query, for fluid interface

#

## Tags

None found

### useProductQuery()

    useProductQuery(string $relationAlias, string $joinType) : \Thelia\Model\ProductQuery

Use the Product relation Product object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### prune()

    prune(\Thelia\Model\ProductVersion $productVersion) : \Thelia\Model\ProductVersionQuery

Exclude object from result

#### Parameters

\Thelia\Model\ProductVersion | $productVersion | Object to remove from the list of results

#### Returns

\Thelia\Model\ProductVersionQuery —

The current query, for fluid interface

#

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the product_version table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildProductVersion or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

## Tags

None found

### orderById()

    orderById($order =) : \Thelia\Model\ProductVersionQuery

Order by the id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductVersionQuery

#

## Tags

None found

### orderByTaxRuleId()

    orderByTaxRuleId($order =) : \Thelia\Model\ProductVersionQuery

Order by the tax_rule_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductVersionQuery

#

## Tags

None found

### orderByRef()

    orderByRef($order =) : \Thelia\Model\ProductVersionQuery

Order by the ref column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductVersionQuery

#

## Tags

None found

### orderByVisible()

    orderByVisible($order =) : \Thelia\Model\ProductVersionQuery

Order by the visible column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductVersionQuery

#

## Tags

None found

### orderByPosition()

    orderByPosition($order =) : \Thelia\Model\ProductVersionQuery

Order by the position column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductVersionQuery

#

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\ProductVersionQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductVersionQuery

#

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\ProductVersionQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductVersionQuery

#

## Tags

None found

### orderByVersion()

    orderByVersion($order =) : \Thelia\Model\ProductVersionQuery

Order by the version column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductVersionQuery

#

## Tags

None found

### orderByVersionCreatedAt()

    orderByVersionCreatedAt($order =) : \Thelia\Model\ProductVersionQuery

Order by the version_created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductVersionQuery

#

## Tags

None found

### orderByVersionCreatedBy()

    orderByVersionCreatedBy($order =) : \Thelia\Model\ProductVersionQuery

Order by the version_created_by column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductVersionQuery

#

## Tags

None found

### groupById()

    groupById() : \Thelia\Model\ProductVersionQuery

Group by the id column

#### Returns

\Thelia\Model\ProductVersionQuery

#

## Tags

None found

### groupByTaxRuleId()

    groupByTaxRuleId() : \Thelia\Model\ProductVersionQuery

Group by the tax_rule_id column

#### Returns

\Thelia\Model\ProductVersionQuery

#

## Tags

None found

### groupByRef()

    groupByRef() : \Thelia\Model\ProductVersionQuery

Group by the ref column

#### Returns

\Thelia\Model\ProductVersionQuery

#

## Tags

None found

### groupByVisible()

    groupByVisible() : \Thelia\Model\ProductVersionQuery

Group by the visible column

#### Returns

\Thelia\Model\ProductVersionQuery

#

## Tags

None found

### groupByPosition()

    groupByPosition() : \Thelia\Model\ProductVersionQuery

Group by the position column

#### Returns

\Thelia\Model\ProductVersionQuery

#

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\ProductVersionQuery

Group by the created_at column

#### Returns

\Thelia\Model\ProductVersionQuery

#

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\ProductVersionQuery

Group by the updated_at column

#### Returns

\Thelia\Model\ProductVersionQuery

#

## Tags

None found

### groupByVersion()

    groupByVersion() : \Thelia\Model\ProductVersionQuery

Group by the version column

#### Returns

\Thelia\Model\ProductVersionQuery

#

## Tags

None found

### groupByVersionCreatedAt()

    groupByVersionCreatedAt() : \Thelia\Model\ProductVersionQuery

Group by the version_created_at column

#### Returns

\Thelia\Model\ProductVersionQuery

#

## Tags

None found

### groupByVersionCreatedBy()

    groupByVersionCreatedBy() : \Thelia\Model\ProductVersionQuery

Group by the version_created_by column

#### Returns

\Thelia\Model\ProductVersionQuery

#

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\ProductVersionQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\ProductVersionQuery

#

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\ProductVersionQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\ProductVersionQuery

#

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\ProductVersionQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\ProductVersionQuery

#

## Tags

None found

### leftJoinProduct()

    leftJoinProduct($relationAlias =) : \Thelia\Model\ProductVersionQuery

Adds a LEFT JOIN clause to the query using the Product relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductVersionQuery

#

## Tags

None found

### rightJoinProduct()

    rightJoinProduct($relationAlias =) : \Thelia\Model\ProductVersionQuery

Adds a RIGHT JOIN clause to the query using the Product relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductVersionQuery

#

## Tags

None found

### innerJoinProduct()

    innerJoinProduct($relationAlias =) : \Thelia\Model\ProductVersionQuery

Adds a INNER JOIN clause to the query using the Product relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductVersionQuery

#

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\ProductVersion

Return the first ChildProductVersion matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\ProductVersion

#

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\ProductVersion

Return the first ChildProductVersion matching the query, or a new ChildProductVersion object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\ProductVersion

#

## Tags

None found

### findOneById()

    findOneById(int $id) : \Thelia\Model\ProductVersion

Return the first ChildProductVersion filtered by the id column

#### Parameters

int | $id |

#### Returns

\Thelia\Model\ProductVersion

#

## Tags

None found

### findOneByTaxRuleId()

    findOneByTaxRuleId(int $tax_rule_id) : \Thelia\Model\ProductVersion

Return the first ChildProductVersion filtered by the tax_rule_id column

#### Parameters

int | $tax_rule_id |

#### Returns

\Thelia\Model\ProductVersion

#

## Tags

None found

### findOneByRef()

    findOneByRef(string $ref) : \Thelia\Model\ProductVersion

Return the first ChildProductVersion filtered by the ref column

#### Parameters

string | $ref |

#### Returns

\Thelia\Model\ProductVersion

#

## Tags

None found

### findOneByVisible()

    findOneByVisible(int $visible) : \Thelia\Model\ProductVersion

Return the first ChildProductVersion filtered by the visible column

#### Parameters

int | $visible |

#### Returns

\Thelia\Model\ProductVersion

#

## Tags

None found

### findOneByPosition()

    findOneByPosition(int $position) : \Thelia\Model\ProductVersion

Return the first ChildProductVersion filtered by the position column

#### Parameters

int | $position |

#### Returns

\Thelia\Model\ProductVersion

#

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\ProductVersion

Return the first ChildProductVersion filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\ProductVersion

#

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\ProductVersion

Return the first ChildProductVersion filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\ProductVersion

#

## Tags

None found

### findOneByVersion()

    findOneByVersion(int $version) : \Thelia\Model\ProductVersion

Return the first ChildProductVersion filtered by the version column

#### Parameters

int | $version |

#### Returns

\Thelia\Model\ProductVersion

#

## Tags

None found

### findOneByVersionCreatedAt()

    findOneByVersionCreatedAt(string $version_created_at) : \Thelia\Model\ProductVersion

Return the first ChildProductVersion filtered by the version_created_at column

#### Parameters

string | $version_created_at |

#### Returns

\Thelia\Model\ProductVersion

#

## Tags

None found

### findOneByVersionCreatedBy()

    findOneByVersionCreatedBy(string $version_created_by) : \Thelia\Model\ProductVersion

Return the first ChildProductVersion filtered by the version_created_by column

#### Parameters

string | $version_created_by |

#### Returns

\Thelia\Model\ProductVersion

#

## Tags

None found

### findById()

    findById(int $id) : array

Return ChildProductVersion objects filtered by the id column

#### Parameters

int | $id |

#### Returns

array

#

## Tags

None found

### findByTaxRuleId()

    findByTaxRuleId(int $tax_rule_id) : array

Return ChildProductVersion objects filtered by the tax_rule_id column

#### Parameters

int | $tax_rule_id |

#### Returns

array

#

## Tags

None found

### findByRef()

    findByRef(string $ref) : array

Return ChildProductVersion objects filtered by the ref column

#### Parameters

string | $ref |

#### Returns

array

#

## Tags

None found

### findByVisible()

    findByVisible(int $visible) : array

Return ChildProductVersion objects filtered by the visible column

#### Parameters

int | $visible |

#### Returns

array

#

## Tags

None found

### findByPosition()

    findByPosition(int $position) : array

Return ChildProductVersion objects filtered by the position column

#### Parameters

int | $position |

#### Returns

array

#

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildProductVersion objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildProductVersion objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

## Tags

None found

### findByVersion()

    findByVersion(int $version) : array

Return ChildProductVersion objects filtered by the version column

#### Parameters

int | $version |

#### Returns

array

#

## Tags

None found

### findByVersionCreatedAt()

    findByVersionCreatedAt(string $version_created_at) : array

Return ChildProductVersion objects filtered by the version_created_at column

#### Parameters

string | $version_created_at |

#### Returns

array

#

## Tags

None found

### findByVersionCreatedBy()

    findByVersionCreatedBy(string $version_created_by) : array

Return ChildProductVersion objects filtered by the version_created_by column

#### Parameters

string | $version_created_by |

#### Returns

array

#

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\ProductVersion

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\ProductVersion —

A model object, or null if the key is not found

#

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\ProductVersion|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\ProductVersion|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### ProductVersionQuery.php